#include "MyReduction_kernel.cuh"

// Instantiate the reduction function for 3 types
template void 
reduce<int>(int size, int threads, int blocks, int *d_idata, int *d_odata);

template void 
reduce<float>(int size, int threads, int blocks, float *d_idata, float *d_odata);

template void 
reduce<double>(int size, int threads, int blocks, double *d_idata, double *d_odata);
